// TITLE: General USB handling routines
#include <stdbool.h>
#include <stdint.h>
#include "inc/hw_memmap.h"
#include "inc/hw_types.h"
#include "usb.h"
#include <usblib.h>
#include <usblibpriv.h>

void USB0DeviceIntHandler(void) {
    uint32_t ui32Status;
    uint32_t ui32IntStatusEP;
    // Get the controller interrupt status.
    ui32Status = USBIntStatus(USB_BASE, &ui32IntStatusEP);
    // Call the internal handler.
    USBDeviceIntHandlerInternal(0, ui32Status, ui32IntStatusEP);
}
